Category Features, Object ProFeature

Function ProFeatureSketchedWithOptionsCreate


Description
Creates a feature from the element tree and copies sketch(es) from the feature(s) from sketch_array to the created feature. Supports creation of the following sketched features:
  1. Fill / Flat Surface
  2. Extrude
  3. Revolve
  4. Sketched Datum Curve
  5. Wrap Curve
Synopsis
#include <ProFeature.h>
ProErrorProFeatureSketchedWithOptionsCreate(
ProSelection model
/* (In)
The model on which the feature is being created. If the feature is created in an assembly, you must specify the component path.
*/
ProElement elemtree
/* (In)
The element tree.
*/
ProFeatureCreateOptions* options
/* (In)
ProArray of user options.
*/
ProSelection* sketch_array
/* (In)
ProArray of selections of sketch datum curves containing sketches
*/
int flags
/* (In)
The regeneration control flags. Pass as bitmask containing one or more of the bit flags PRO_REGEN* defined in ProSolid.h
*/
ProFeature* p_feature
/* (Out)
The feature handle to the created sketched feature.
*/
ProErrorlist* p_errors
/* (Out)
The list of errors.
*/
)
Returns
PRO_TK_NO_ERRORThe function successfully created the feature.
PRO_TK_BAD_INPUTSOne or more of the input arguments are invalid.
PRO_TK_GENERAL_ERRORThe feature was not created successfully. The will feature set as incomplete. See p_errors for the list of problems.
PRO_TK_ABORTsketch_array contains feature other than a sketched datum curve
See Also
ProDtmCrv.h
ProDtmPnt.h
ProExtrude.h
ProFlatSrf.h
ProRevolve.h
ProRib.h

Manual References:

  1. Element Trees: Sketched Features: Reusing Existing Sketches

Sample Code References:

  1. pt_userguide ( UgSktExtrusionCreate.c )